Bug 540445 - SELinux is preventing /usr/libexec/rtkit-daemon "read" access on /etc/localtime.
Summary: SELinux is preventing /usr/libexec/rtkit-daemon "read" access on /etc/localtime.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:13a473faf1c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 12:10 UTC by Chris Tyler
Modified: 2009-12-02 04:41 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:10 UTC


Attachments (Terms of Use)

Description Chris Tyler 2009-11-23 12:10:25 UTC
Summary:

SELinux is preventing /usr/libexec/rtkit-daemon "read" access on /etc/localtime.

Detailed Description:

SELinux denied access requested by rtkit-daemon. It is not expected that this
access is required by rtkit-daemon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023
Target Context                system_u:object_r:locale_t:s0
Target Objects                /etc/localtime [ file ]
Source                        rtkit-daemon
Source Path                   /usr/libexec/rtkit-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           rtkit-0.4-1.fc12
Target RPM Packages           glibc-2.11-2
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux laptop4.proximity.on.ca
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Alert Count                   135
First Seen                    Sun 22 Nov 2009 04:37:35 PM EST
Last Seen                     Mon 23 Nov 2009 07:09:03 AM EST
Local ID                      e43d825e-6770-47a4-b008-c5e2421b611f
Line Numbers                  

Raw Audit Messages            

node=laptop4.proximity.on.ca type=AVC msg=audit(1258978143.212:59): avc:  denied  { read } for  pid=2125 comm="rtkit-daemon" name="localtime" dev=dm-7 ino=3143 scontext=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 tcontext=system_u:object_r:locale_t:s0 tclass=file

node=laptop4.proximity.on.ca type=SYSCALL msg=audit(1258978143.212:59): arch=c000003e syscall=2 success=no exit=-13 a0=3b9353bcf2 a1=0 a2=1b6 a3=2 items=0 ppid=2123 pid=2125 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="rtkit-daemon" exe="/usr/libexec/rtkit-daemon" subj=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,rtkit-daemon,rtkit_daemon_t,locale_t,file,read
audit2allow suggests:

#============= rtkit_daemon_t ==============
allow rtkit_daemon_t locale_t:file read;

Comment 1 Daniel Walsh 2009-11-23 16:53:39 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:38 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:57 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:35:04 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.